
TYPO3.Neos - Bug # 48261

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Pankaj Lele Category: UI
Created: 2013-05-16 Assigned To: Aske Ertmann
Updated: 2014-11-02 Due date:
Subject: Inline editable properties are reset after applying changes in the inspector for reloadIfChanged properties
Description

Inline editable poperties of content elements are reset to default values when some other "reloadIfChanged" properties are edited in
the inspector.

To reproduce the behavior:

    1. create new Text with Image content
    2. don't do anything in content editing area
    3. change e.g. the "Title" field in the inspector
    4. click apply
    5. add some text in the content editing area now
    6. wait for changes to be auto-saved
    7. change "Title" again in inspector
    8. click apply
    9. you will see "Enter text here" again

Associated revisions
Revision 35c1407a - 2013-10-03 10:26 - Sebastian Kurfuerst

[BUGFIX] inline editables should preserve their content after applying changes in the inspector

Before this change, the following bug appeared:

    -  you modified e.g. the text of the "Text" content element
    -  then, for the same content element, you directly changed a property

  in the inspector (f.e. toggling "hidden")
    -  then, press apply.
    -  This has reset the contents of the "Text" content element back to

  the initial value; losing all content changes.

The bug was that the inspector stored all properties of the node,
and on apply, restored all of them. The bugfix is that the inspector
only updates properties that were changed and not all of them on
apply.
Resolves: #48261
Reviewed-on: https://review.typo3.org/24260
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

2015-08-04 1/2

https://review.typo3.org/24260


History
#1 - 2013-07-11 23:57 - Aske Ertmann
- Status changed from New to Accepted
- Assigned To set to Aske Ertmann
- Target version set to 1.0 beta 1

#2 - 2013-10-02 15:30 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24260

#3 - 2013-10-02 18:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24260

#4 - 2013-10-03 09:53 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24260

#5 - 2013-10-03 09:56 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24260

#6 - 2013-10-03 10:26 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24260

#7 - 2013-10-03 10:36 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:35c1407a2fbc750a4eb9381bb6469b09c6430e27.

#8 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
